.TMpaging {
    clear: both;
    direction: rtl;
    padding: 10px;
    border-bottom: 1px solid #c1c1c1;
}

.TMpanel {
    float: left;
    margin-right: 20px;
    text-align: center;
    margin-top: 0px !important;
}

.TMinfo {
}

.TMpaging > span {
    padding: 5px 0
}

.TMpaging a {
    min-width: 20px;
    height: 20px;
    margin: 0 2px;
    color: #000;
    border: 1px solid transparent;
    border-radius: 2px
}

    .TMpaging a:hover {
        color: #fff;
        border: 1px solid #4abce2;
        border-radius: 50%;
        height: 30px;
        width: 30px;
    }

.TMpaging .current {
    background-color: #4abce2;
    color: #fff;
    border-radius: 50%;
    height: 30px;
    width: 30px;
}

.TMpaging .prev, .TMpaging .next, .TMpaging .first, .TMpaging .last {
    border: 1px solid #fff;
    font: 17pt/16px arial;
    color: #4abce2;
    background: #fff;
    border-radius: 2px;
    border-radius: 50%;
    height: 30px;
    width: 30px;
}

    .TMpaging .prev:hover, .TMpaging .next:hover, .TMpaging .first:hover, .TMpaging .last:hover {
        background: #4abce2;
        border: 1px solid #4abce2;
        color: #fff;
        border-radius: 50%;
        height: 30px;
        width: 30px;
    }

.TMpaging .prev {
    background-position: -28px 0
}

.TMpaging .next {
    background-position: 0 0
}

.TMpaging .first {
    background-position: -21px -17px
}

.TMpaging .last {
    background-position: 0 -17px
}

.TMpagingloadingPane {
    position: relative;
    min-height: 300px;
    margin-top: 15px
}

.TMpagingloading {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    background: url(TMloading.gif) no-repeat center 100px;
    background-color: #fff;
    background-color: rgba(255, 255, 255, 0.86);
    display: none;
    z-index: 20
}

.TMcolor {
    color: #514e4e;
}

ul.chosen {
    display: none
}

/*-edited*/
.filterBox {
    padding-top: 17px;
}

    .filterBox .hxtit {
        color: #2069a6;
        text-align: right;
        font-size: 13px;
        padding: 0 14px 15px 0;
        position: relative;
        margin-bottom: 10px
    }

        .filterBox .hxtit::before {
            content: '';
            position: absolute;
            right: 0;
            bottom: 3px;
            height: 1px;
            width: 184px;
            background-color: #d9d2dd;
        }

        .filterBox .hxtit::after {
            content: '';
            position: absolute;
            right: 0;
            bottom: 0;
            height: 1px;
            width: 147px;
            background-color: #d9d2dd;
        }

    .filterBox .ftcontent {
        padding: 0px 12px 12px;
    }

.TMcategory li { /*margin-bottom:16px;*/
    margin-bottom: 5px
}

    .TMcategory li a {
        font-size: 12px;
        color: #5c5c5c
    }

        .TMcategory li a:hover {
            color: #ff9310
        }
/*Price Pick*/
.pricePick {
    text-align: center;
    padding: 12px 0 34px 0;
    width: 207px
}

    .pricePick .ui-slider {
        position: relative;
        width: 207px;
        height: 10px;
        background: url("TMpricePick.png") no-repeat 0 -35px;
        margin: 0 auto;
    }

        .pricePick .ui-slider .ui-slider-range {
            height: 10px;
            background: url("TMpricePick.png") no-repeat 0 -46px;
            border: 0;
            display: block;
            font-size: .7em;
            position: absolute;
            z-index: 1
        }

        .pricePick .ui-slider .ui-slider-handle {
            position: absolute;
            top: -5px;
            margin-left: -7px;
            width: 18px;
            height: 25px;
            cursor: ew-resize;
            z-index: 2;
            background: url("TMpricePick.png") no-repeat;
            -webkit-transition: 0s;
            transition: 0s;
        }

        .pricePick .ui-slider .right {
            background-position: 0 -5px;
        }

        .pricePick .ui-slider .left {
            background-position: 0 -5px;
        }
        /*.pricePick .ui-slider .ui-state-focus.right{background-position:-5px -2px}
.pricePick .ui-slider .ui-state-focus.left{background-position:-5px -2px}*/
        .pricePick .ui-slider #amount {
            position: absolute;
            top: 17px;
            direction: rtl;
            width: 207px;
            right: 0px;
            font-size: 14px;
        }

        .pricePick .ui-slider #amount2 {
            position: absolute;
            top: 17px;
            direction: rtl;
            width: 207px;
            right: 0px;
            font-size: 14px;
        }

        .pricePick .ui-slider #amount .minprice {
            float: right;
            color: #b4bbbe;
        }

        .pricePick .ui-slider #amount .maxprice {
            float: left;
            color: #b4bbbe;
        }

        .pricePick .ui-slider #amount2 .minheight {
            float: right;
            color: #b4bbbe;
        }

        .pricePick .ui-slider #amount2 .maxheight {
            float: left;
            color: #b4bbbe;
        }
/*Brand Filter*/
/*Brand Filter*/
.ulscrll {
    max-height: 252px; /*height:252px;*/
    overflow: hidden;
    direction: ltr
}

.TMfilter {
}
    /*.TMfilter > li{height:26px}*/
    .TMfilter > li > a {
        display: block;
        color: #555;
        width: 16px;
        height: 16px;
        background: url(TMcheckbox.png) no-repeat 0 0;
        position: relative; /*margin: 10px 0px;*/
        margin: 6px 0px;
    }

        .TMfilter > li > a.checkbox-icon-checked {
            background-position: 0 -23px
        }

        .TMfilter > li > a > .chkName {
            position: absolute;
            top: -4px;
            right: 24px;
            width: 180px;
        }

            .TMfilter > li > a > .chkName * {
                vertical-align: middle
            }

        .TMfilter > li > a > input {
            margin: 0;
            opacity: 0;
            width: 16px;
            height: 16px;
            position: absolute;
            top: 0;
            right: 0;
        }

    .TMfilter > li:hover {
        color: #a00;
        cursor: pointer
    }

.TMColorFilter > li a .chkColor {
    width: 7px;
    height: 16px;
    margin-left: 2px;
    position: absolute;
    right: 25px;
    top: 0px;
}

.TMfilter.TMColorFilter > li > a > .chkName {
    right: 0
}

.TMfilter.ulrateflt .chkName .cnt {
    width: 65px;
    text-align: left
}
/*new*/
/*check*/
.ulchklist {
}

    .ulchklist li {
        text-align: right;
    }

        .ulchklist li > a {
            display: block;
            color: #626262;
            height: auto;
            position: relative;
            margin-top: 5px; /*remove*/
            width: auto;
            background: none;
            margin: 5px auto 0;
        }
            /*.ulchklist li > a::before { content: ''; position: absolute; top: 5px; left: 0; width: 16px; height: 16px; background: url(TMcheckbox.png) no-repeat 0 0; }*/
            .ulchklist li > a > input {
                margin: 0;
                opacity: 0;
                width: 21px;
                height: 22px;
                position: absolute;
                right: 0;
                top: 0;
            }

            .ulchklist li > a > .chkName {
                position: relative;
                top: 0px;
                right: 0px;
                width: auto;
                color: #5c5c5c;
                font-size: 13px;
                margin-right: 26px;
                display: block;
                overflow: hidden;
            }
                /*.ulchklist li > a.checkbox-icon-checked::before { background-position: 0 -23px; }
*/ .ulchklist li > a > .chkName span {
                    float: left;
                    text-align: left;
                }
/*textbox*/
.filterBox .txtqflt {
    height: 32px;
    width: 243px;
    margin: 0 auto;
    border: 1px solid #e6e6e6;
    background-color: #fafafa;
}

    .filterBox .txtqflt:focus {
        border-color: #4790cd
    }
/*Dynamic Filter*/
/*.prd_crap_list > li > a:after{content:"";position:absolute;background: url(../images/DSprite.png) no-repeat -25px -134px;width: 10px;height: 5px;left: 7px;top: 14px;}*/
.TMselectedfilter {
    border-top: 1px solid #fff;
    text-align: right;
    padding-top: 5px;
    margin-top: 5px
}

    .TMselectedfilter > li {
        display: inline-block;
        margin: 2px
    }

        .TMselectedfilter > li > a {
            border: 1px solid #fff;
            padding: 0 5px 0 22px;
            background: #f1f1f1;
            border-radius: 5px;
            font-size: 12px;
            position: relative;
            cursor: pointer
        }

            .TMselectedfilter > li > a:after {
                content: "\f057";
                font: normal normal normal 13px/1 FontAwesome;
                text-rendering: auto;
                -webkit-font-smoothing: antialiased;
                position: absolute;
                top: 5px;
                left: 5px
            }

.filter-one {
    margin-bottom: 23px;
}

.prd_crap_list {
}

    .prd_crap_list > li {
        margin: 0 auto 5px;
        position: relative;
    }

        .prd_crap_list > li > a {
            color: #2069a6;
            text-align: right;
            font-size: 13px;
            padding: 0 14px 15px 0;
            position: relative;
            margin-bottom: 10px;
            border: none;
            display: block;
        }

            .prd_crap_list > li > a::before {
                content: '';
                position: absolute;
                right: 0;
                bottom: 3px;
                height: 1px;
                width: 184px;
                background-color: #d9d2dd;
            }

            .prd_crap_list > li > a::after {
                content: '';
                position: absolute;
                right: 0;
                bottom: 0;
                height: 1px;
                width: 147px;
                background-color: #d9d2dd;
            }

/*.prd_crap_list > li > a:hover{color:#555}*/
.prd_crap_box {
    padding: 0px 12px 12px;
}

.filter-dynamic {
    max-height: 252px; /*height:252px;*/
    overflow: hidden;
    direction: ltr
}
    /*.filter-dynamic{max-height: 252px;overflow-y:auto;}*/
    .filter-dynamic li {
        padding: 1px 25px 1px 5px;
        cursor: pointer;
        background: url('TMcheckbox.png') no-repeat right 4px;
        direction: rtl;
        color: #5c5c5c;
        font-size: 13px;
    }

        .filter-dynamic li.selected {
            background-position: right -17px !important;
        }
/*.filter-dynamic > li:hover {background-position:right -17px;}*/
.viewall {
    padding: 1px 25px 1px 5px; /*background:#f5f5f5 url('../TMpaging/filter_link_bg.png') no-repeat right 7px;*/
    background: url('TMcheckbox.png') no-repeat right 7px;
    cursor: pointer
}

    .viewall.selected {
        background-position: right -17px !important;
    }

/*#######-Search-#######*/
.filter__box .searchBox .txts {
    width: 100%;
    height: 40px;
    padding: 8px 40px 8px 16px;
    background: #fbfbfb url('../Content/images/src-1.png') no-repeat 95% center;
    color: rgba(0,0,0,0.87);
    border: 1px solid rgba(0,0,0,0.24);
    border-radius: 4px;
    transition: 0.3s ease-in-out;
}

    .filter__box .searchBox .txts:focus {
        border-color: #222
    }

.filter__box .searchBox .btns {
    display: none;
}

.itemSearch {
    display: flex;
    width: 100%;
}

    .itemSearch .txts {
        width: 100%;
        height: 40px;
        padding: 8px 40px 8px 16px;
        margin: 0 0 4px;
        background: #fbfbfb url('../Content/images/src-1.png') no-repeat 95% center;
        color: rgba(0,0,0,0.87);
        border: 1px solid rgba(0,0,0,0.24);
        border-radius: 4px;
        transition: 0.3s ease-in-out;
    }

        .itemSearch .txts:focus {
            border-color: #222;
        }
/*#######-rangevalue-#######*/
.rangeOverlay {
}

.rangeValue {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: nowrap;
    width: 100%;
    margin-bottom: 23px;
}

    .rangeValue * {
        color: #091d3e;
        font-weight: bold;
    }

    .rangeValue .rangeValue_box {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

        .rangeValue .rangeValue_box .txt {
            width: 95px;
            text-align: center;
            color: #091d3e;
            font-size: 14px;
            background-color: transparent;
            border: none;
            padding-bottom: 10px;
            border-bottom: 2px dotted #c5c5c5;
            border-radius: unset;
        }

        .rangeValue .rangeValue_box .lbl {
            color: #2a4793;
            font-size: 12px;
        }
/*nouislider - 14.0.2*/
.noUi-target, .noUi-target * {
    -webkit-touch-callout: none;
    -webkit-tap-highlight-color: transparent;
    -webkit-user-select: none;
    -ms-touch-action: none;
    touch-action: none;
    -ms-user-select: none;
    -moz-user-select: none;
    user-select: none;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

.noUi-target {
    position: relative;
    direction: ltr
}

.noUi-base, .noUi-connects {
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 1
}

.noUi-connects {
    overflow: hidden;
    z-index: 0
}

.noUi-connect, .noUi-origin {
    will-change: transform;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    -ms-transform-origin: 0 0;
    -webkit-transform-origin: 0 0;
    -webkit-transform-style: preserve-3d;
    transform-origin: 0 0;
    transform-style: flat
}

.noUi-connect {
    height: 100%;
    width: 100%
}

.noUi-origin {
    height: 10%;
    width: 10%
}

html:not([dir=rtl]) .noUi-horizontal .noUi-origin {
    left: auto;
    right: 0
}

.noUi-vertical .noUi-origin {
    width: 0
}

.noUi-horizontal .noUi-origin {
    height: 0
}

.noUi-handle {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    position: absolute
}

.noUi-touch-area {
    height: 100%;
    width: 100%
}

.noUi-state-tap .noUi-connect, .noUi-state-tap .noUi-origin {
    -webkit-transition: transform .3s;
    transition: transform .3s
}

.noUi-state-drag * {
    cursor: inherit !important
}

.noUi-horizontal {
    height: 18px
}

    .noUi-horizontal .noUi-handle {
        width: 34px;
        height: 28px;
        left: -6px;
        top: -6px
    }

.noUi-vertical {
    width: 18px
}

    .noUi-vertical .noUi-handle {
        width: 28px;
        height: 34px;
        left: -6px;
        top: -17px
    }

html:not([dir=rtl]) .noUi-horizontal .noUi-handle {
    right: -17px;
    left: auto
}

.noUi-target {
    background: #eff0f4;
    border-radius: 4px;
    box-shadow: inset 0 1px 1px #F0F0F0,0 3px 6px -5px #BBB
}

.noUi-connects {
    border-radius: 3px
}

.noUi-connect {
    background: #3FB8AF
}

.noUi-draggable {
    cursor: ew-resize
}

.noUi-vertical .noUi-draggable {
    cursor: ns-resize
}

.noUi-handle {
    border-radius: 3px;
    background: #FFF;
    cursor: default;
    box-shadow: inset 0 0 1px #FFF,inset 0 1px 7px #EBEBEB,0 3px 6px -3px #BBB
}

.noUi-active {
    box-shadow: inset 0 0 1px #FFF,inset 0 1px 7px #DDD,0 3px 6px -3px #BBB
}

.noUi-handle:after, .noUi-handle:before {
    content: "";
    display: block;
    position: absolute;
    height: 14px;
    width: 1px;
    background: #E8E7E6;
    left: 14px;
    top: 6px
}

.noUi-handle:after {
    left: 17px
}

.noUi-vertical .noUi-handle:after, .noUi-vertical .noUi-handle:before {
    width: 14px;
    height: 1px;
    left: 6px;
    top: 14px
}

.noUi-vertical .noUi-handle:after {
    top: 17px
}

[disabled] .noUi-connect {
    background: #B8B8B8
}

[disabled] .noUi-handle, [disabled].noUi-handle, [disabled].noUi-target {
    cursor: not-allowed
}

.noUi-pips, .noUi-pips * {
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

.noUi-pips {
    position: absolute;
    color: #999
}

.noUi-value {
    position: absolute;
    white-space: nowrap;
    text-align: center
}

.noUi-value-sub {
    color: #ccc;
    font-size: 10px
}

.noUi-marker {
    position: absolute;
    background: #CCC
}

.noUi-marker-sub {
    background: #AAA
}

.noUi-marker-large {
    background: #AAA
}

.noUi-pips-horizontal {
    padding: 10px 0;
    height: 80px;
    top: 100%;
    left: 0;
    width: 100%
}

.noUi-value-horizontal {
    -webkit-transform: translate(-50%,50%);
    transform: translate(-50%,50%)
}

.noUi-rtl .noUi-value-horizontal {
    -webkit-transform: translate(50%,50%);
    transform: translate(50%,50%)
}

.noUi-marker-horizontal.noUi-marker {
    margin-left: -1px;
    width: 2px;
    height: 5px
}

.noUi-marker-horizontal.noUi-marker-sub {
    height: 10px
}

.noUi-marker-horizontal.noUi-marker-large {
    height: 15px
}

.noUi-pips-vertical {
    padding: 0 10px;
    height: 100%;
    top: 0;
    left: 100%
}

.noUi-value-vertical {
    -webkit-transform: translate(0,-50%);
    transform: translate(0,-50%);
    padding-left: 25px
}

.noUi-rtl .noUi-value-vertical {
    -webkit-transform: translate(0,50%);
    transform: translate(0,50%)
}

.noUi-marker-vertical.noUi-marker {
    width: 5px;
    height: 2px;
    margin-top: -1px
}

.noUi-marker-vertical.noUi-marker-sub {
    width: 10px
}

.noUi-marker-vertical.noUi-marker-large {
    width: 15px
}

.noUi-tooltip {
    display: block;
    position: absolute;
    border: 1px solid #D9D9D9;
    border-radius: 3px;
    background: #fff;
    color: #000;
    padding: 5px;
    text-align: center;
    white-space: nowrap
}

.noUi-horizontal .noUi-tooltip {
    -webkit-transform: translate(-50%,0);
    transform: translate(-50%,0);
    left: 50%;
    bottom: 120%
}

.noUi-vertical .noUi-tooltip {
    -webkit-transform: translate(0,-50%);
    transform: translate(0,-50%);
    top: 50%;
    right: 120%
}
/*nouislider customise*/
.noUi-horizontal {
    height: 7px;
    margin: 28px auto 10px auto;
    width: 90%;
}

.noUi-connect {
    background: #0092ff;
}

.noUi-handle {
    border-radius: 50%;
    cursor: w-resize;
    background: #0293ff;
}

    .noUi-handle::after {
        content: none
    }

    .noUi-handle::before {
        content: "";
        width: 0;
        height: 0;
        top: 4px;
        border: 5px solid rgba(0,0,0,0);
        background: none;
        pointer-events: none;
    }

.noUi-handle-lower::before {
    left: 4px;
    width: 6px;
    height: 6px;
    background: url(../Content/images/price-left.png) no-repeat center center;
}

.noUi-handle-upper::before {
    left: 4px;
    width: 6px;
    height: 6px;
    background: url(../Content/images/price-right.png) no-repeat center center;
}

.noUi-horizontal .noUi-handle {
    width: 15px;
    height: 15px;
    top: -5px;
    box-shadow: 0 1px 4px 0 rgba(0,0,0,.2);
    text-align: center;
}
/*#######-rangevalue end-#######*/
/*#######-loader-#######*/
.storeLoader {
    display: none;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 5;
    height: 100%;
    -webkit-backface-visibility: hidden;
    background: rgba(135, 135, 135,0.5);
}

    .storeLoader .storeLoader_box {
        background-color: #fff;
        width: 330px;
        min-height: 165px;
        padding: 38px 0 64px;
        position: relative;
        overflow: hidden;
    }

    .storeLoader.active {
        display: flex;
        align-items: center;
        justify-content: center;
    }

        .storeLoader.active .storeLoader_box {
            animation: loaderview 0.3s forwards;
        }

@keyframes loaderview {
    0% {
        transform: scale(1.05);
        opacity: 0;
    }

    100% {
        transform: none;
        opacity: 1;
    }
}

.storeLoader img {
    margin: 0 auto
}

.gooey {
    position: absolute;
    bottom: 25px;
    left: 0;
    right: 0;
    width: 142px;
    height: 40px;
    margin: 0 auto;
    background: #fff;
    filter: contrast(20);
}

    .gooey .dot {
        position: absolute;
        width: 12px;
        height: 12px;
        top: 12px;
        left: 15px;
        filter: blur(4px);
        background: #000;
        border-radius: 50%;
        transform: translateX(0);
        animation: dot 2.8s infinite;
    }

    .gooey .dots {
        transform: translateX(0);
        margin-top: 12px;
        margin-left: 31px;
        animation: dots 2.8s infinite;
    }

        .gooey .dots span {
            display: block;
            float: left;
            width: 12px;
            height: 12px;
            margin-left: 16px;
            filter: blur(4px);
            background: #000;
            border-radius: 50%;
        }

@keyframes dot {
    50% {
        transform: translateX(96px);
    }
}

@keyframes dots {
    50% {
        transform: translateX(-31px);
    }
}
/*#######-loader end-#######*/